Make fails for Expect 5.43 with Tcl 8.5a5

Dan Nicholson dbn.lists at gmail.com
Mon Feb 12 06:49:35 PST 2007


On 2/12/07, Oliver Strnad <ostrnad at gmx.de> wrote:
>
> > Problems with headers can be a real aggravation - sometimes it's
> > fairly easy to see what is wrong, other times it all looks good but
> > fails because of a seemingly trivial and unrelated change elsewhere.
> > If you are interested and able to solve the problem, that's great.
> > Otherwise, use the version in hte book.
>
> At the moment I am trying to figure out what causes this error. I am not very
> experienced in linux-programming, so I don't think I can fix it, but we'll
> see. I'm good at learning new things. I will try to take up the suggestions
> you made.

Well, you bumped the minor version on an untested piece of software
(tcl). That probably means that the API changed or they would have
kept rolling along with the 8.4 series. Now you have a piece of
software (expect) that depends on the other piece of software and was
written years ago. I'd say there's a real good chance that
expect-5.43.0 can't handle the new API in tcl-8.5.

There's not much you can do there besides try to fix up expect to work
with the newer tcl. Or, just keep using tcl-8.4.

--
Dan



More information about the lfs-support mailing list